/*
 * vim: ts=4 nobackup
 */


#ifndef  __MYKEYMATRIXLISTENER_H__
#define  __MYKEYMATRIXLISTENER_H__


#include <stdint.h>
#include "KeyMatrixListener.H"
#include "MyLedMatrixManager.H"


extern "C++" {
	namespace avelino {
		using namespace std;

		class MyKeyMatrixListener : public KeyMatrixListener {
			protected:
				MyLedMatrixManager *display;
			public:
				void init(MyLedMatrixManager &d);
				void keyPressed(uint8_t row, uint8_t column);
				void keyReleased(uint8_t row, uint8_t column);
		};
	}
}


#endif  // __MYKEYMATRIXLISTENER_H__
