/*
 * vim: ts=4 nobackup
 */


#include "MyKeyMatrixListener.H"


using namespace avelino;
using namespace std;


void MyKeyMatrixListener::init(MyLedMatrixManager &d) {
	this->display = &d;
}


void MyKeyMatrixListener::keyPressed(uint8_t row, uint8_t column) {
	uint8_t v = this->display->dots[column][row];
	if (v > 0)
		this->display->dots[column][row] = 0;
	else
		this->display->dots[column][row] = 2;
}


void MyKeyMatrixListener::keyReleased(uint8_t row, uint8_t column) {
	// this->display->dots[column][row] = 0;
}


