/*
 * vim: ts=4 nobackup
 */


#include "TTTGameBoard.H"


using namespace avelino;
using namespace std;


void TTTGameBoard::init() {
	for (uint8_t i = 0; i < 10; i++)
		this->data[i] = 0;
}


void TTTGameBoard::set(uint8_t i, uint8_t v) {
	this->data[i] = v;
}


uint8_t TTTGameBoard::get(uint8_t i) {
	return this->data[i];
}


bool TTTGameBoard::isFinished() {
	for (uint8_t i = 1; i <= 9; i++) {
		if (this->data[i] == 0)
			return false;
	}
	return true;
}


void TTTGameBoard::show() {
}


void TTTGameBoard::copyFrom(TTTGameBoard &other) {
	for (uint8_t i = 0; i < 10; i++)
		this->data[i] = other.data[i];
}


