/*
 * vim: ts=4 nobackup
 */


#ifndef  __GAMEPLAYER_H__
#define  __GAMEPLAYER_H__


#include "GameBoard.H"


extern "C++" {
	namespace avelino {
		using namespace std;

		class GamePlayer {
			public:
				virtual void run(bool &moved) = 0;
				virtual bool isWinner() = 0;
				virtual uint8_t getNumber() = 0;
		};
	}
}


#endif  // __GAMEPLAYER_H__
