/*
 * vim: ts=4 nobackup
 */


#include <stdio.h>
#include "TTTHumanGamePlayer.H"


using namespace avelino;
using namespace std;


void TTTHumanGamePlayer::internalInit() {
	this->justPressed = false;
}


uint8_t TTTHumanGamePlayer::getSpot() {
	uint8_t ret = 0;
	if (this->justPressed) {
		if (this->column == 0) {
			if (this->row == 0)
				ret = 8;
			else if (this->row == 1)
				ret = 1;
			else if (this->row == 2)
				ret = 6;
		}
		else if (this->column == 1) {
			if (this->row == 0)
				ret = 3;
			else if (this->row == 1)
				ret = 5;
			else if (this->row == 2)
				ret = 7;
		}
		else if (this->column == 2) {
			if (this->row == 0)
				ret = 4;
			else if (this->row == 1)
				ret = 9;
			else if (this->row == 2)
				ret = 2;
		}
		this->justPressed = false;
	}
	return ret;
}


void TTTHumanGamePlayer::keyPressed(uint8_t row, uint8_t column) {
	this->row = row;
	this->column = column;
	this->justPressed = true;
}


void TTTHumanGamePlayer::keyReleased(uint8_t row, uint8_t column) {
}


